GET api/ItemMaster/GetHSNMasterById?HSN_ID={HSN_ID}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| HSN_ID | integer |
Required |
Body Parameters
None.
Response Information
Resource Description
HSNMasterModel| Name | Description | Type | Additional information |
|---|---|---|---|
| HSN_ID | integer |
None. |
|
| HSN_Code | string |
Required String length: inclusive between 0 and 30 |
|
| Description | string |
Required String length: inclusive between 0 and 30 |
|
| Tax_Rate | integer |
Required |
|
| Full_Description | string |
None. |
|
| CGST | decimal number |
Required |
|
| SGST | decimal number |
Required |
|
| IGST | decimal number |
Required |
|
| CreateDate | date |
None. |
|
| CreateBy | integer |
None. |
|
| UpdateDate | date |
None. |
|
| UpdateBy | integer |
None. |
|
| Status | boolean |
None. |
|
| IsActive | boolean |
None. |
|
| IsDeleted | boolean |
None. |
|
| DairyPlantID | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"hsN_ID": 1,
"hsN_Code": "sample string 2",
"description": "sample string 3",
"tax_Rate": 4,
"full_Description": "sample string 5",
"cgst": 6.0,
"sgst": 7.0,
"igst": 8.0,
"createDate": "2026-04-13T20:18:44.5845215+05:30",
"createBy": 10,
"updateDate": "2026-04-13T20:18:44.5845215+05:30",
"updateBy": 12,
"status": true,
"isActive": true,
"isDeleted": true,
"dairyPlantID": 16
}
application/xml, text/xml
Sample:
<HSNMasterModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/DistributionApplication.Entities"> <CGST>6</CGST> <CreateBy>10</CreateBy> <CreateDate>2026-04-13T20:18:44.5845215+05:30</CreateDate> <DairyPlantID>16</DairyPlantID> <Description>sample string 3</Description> <Full_Description>sample string 5</Full_Description> <HSN_Code>sample string 2</HSN_Code> <HSN_ID>1</HSN_ID> <IGST>8</IGST> <IsActive>true</IsActive> <IsDeleted>true</IsDeleted> <SGST>7</SGST> <Status>true</Status> <Tax_Rate>4</Tax_Rate> <UpdateBy>12</UpdateBy> <UpdateDate>2026-04-13T20:18:44.5845215+05:30</UpdateDate> </HSNMasterModel>